summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorJeff Quast <jquast@io.com>2015-02-22 12:27:40 -0800
committerJeff Quast <jquast@io.com>2015-02-22 12:28:05 -0800
commitabe0df1c5285a9cddf528db74a432f14b0954dae (patch)
treedc9c3f241691b316ed652c75d7039d3843b6715b /tools
parent9f1bd0193a38fe4e0d4d6a4f481c02ac28fee094 (diff)
downloadpexpect-git-abe0df1c5285a9cddf528db74a432f14b0954dae.tar.gz
FreeBSD: Document magic max canon value of 1920
Diffstat (limited to 'tools')
-rwxr-xr-xtools/teamcity-runtests.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tools/teamcity-runtests.sh b/tools/teamcity-runtests.sh
index b74f179..aa14582 100755
--- a/tools/teamcity-runtests.sh
+++ b/tools/teamcity-runtests.sh
@@ -14,6 +14,7 @@ export PYTHONIOENCODING=UTF8
export LANG=en_US.UTF-8
pyversion=$1
+shift
here=$(cd `dirname $0`; pwd)
osrel=$(uname -s)
venv=teamcity-pexpect
@@ -44,7 +45,7 @@ py.test \
--junit-xml=results.${osrel}.py${pyversion}.xml \
--verbose \
--verbose \
- || ret=$?
+ "$@" || ret=$?
if [ $ret -ne 0 ]; then
# we always exit 0, preferring instead the jUnit XML